<template>
  <section>
    <h2>Utilisateur connecté</h2>
    <div class="two-columns">
      <div class="two-columns--item">
        <NuxtLink tag="button" to="/openak" class="button--strong">Démarrer le formulaire ➜</NuxtLink>
      </div>
      <div class="two-columns--item">
        <p>Voici l'utilisateur identifié</p>
        <pre v-if="user">{{ user }}</pre>
      </div>
    </div>
  </section>
</template>

<script>
  export default {
    computed: {
      user () {
        return this.$store.state.user.login
      }
    },
    mounted () {
      this.$nuxt.$emit('check-if-connected')
    }
  }
</script>
